Contents

# Invoking KDbg from the command line

    Usage: kdbg [Qt-options] [KDE-options] [options] [program] [core]

    Generic options:
      --help                    Show help about options
      --help-qt                 Show Qt specific options
      --help-kde                Show KDE specific options
      --help-all                Show all options
      --author                  Show author information
      -v, --version             Show version information
      --license                 Show license information
      --                        End of options

    Options:
      -t <file>                 transcript of conversation with the debugger
      -r <device>               remote debugging via <device>
      -l <language>             specify language: C, XSLT []
      -a <args>                 specify arguments of debugged executable
      -p <pid>                  specify PID of process to debug

    Arguments:
      program                   path of executable to debug
      core                      a core file to use